Bug 967794

Summary: Trace of test suite intermittent failures due to test ordering
Product: [JBoss] JBoss Enterprise Application Platform 6 Reporter: Chao Wang <chaowan>
Component: TestsuiteAssignee: Chao Wang <chaowan>
Status: CLOSED CURRENTRELEASE QA Contact:
Severity: low Docs Contact:
Priority: high    
Version: 6.1.0CC: cdewolf, istudens, pjelinek
Target Milestone: ER3   
Target Release: EAP 6.1.1   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-09-16 20:29:00 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:

Description Chao Wang 2013-05-28 10:58:46 UTC
Description of problem:

In upstream AS7-6570 aka WFLY-512 (fixes for buiding on JDK7), some test suite intermittent failures failed due to test ordering with different JDK, need to track this for next EAP 6 (6.1.1), here is the list:

testsuite/domain/src/test/java/org/jboss/as/test/integration/domain/management/cli/RolloutPlanTestCase.java
testsuite/integration/basic/src/test/java/org/jboss/as/test/integration/ejb/interceptor/method/EjbMethodInterceptorTestCase.java
testsuite/integration/basic/src/test/java/org/jboss/as/test/integration/ejb/entity/bmp/BMPEntityBeanTestCase.java
testsuite/integration/basic/src/test/java/org/jboss/as/test/integration/jaxrs/jsapi/JaxrsJSApiTestCase.java
testsuite/integration/basic/src/test/java/org/jboss/as/test/integration/jpa/datasourcedefinition/DataSourceDefinitionJPATestCase.java
testsuite/integration/basic/src/test/java/org/jboss/as/test/integration/jpa/epcpropagation/requiresnew/EPCPropagationNewTransactionTestCase.java
testsuite/integration/basic/src/test/java/org/jboss/as/test/integration/jpa/hibernate/envers/implementvalidityauditstrategytest/ImplementValidityAuditStrategyTestCase.java
testsuite/integration/basic/src/test/java/org/jboss/as/test/integration/jpa/secondlevelcache/JPA2LCTestCase.java
testsuite/integration/basic/src/test/java/org/jboss/as/test/integration/jpa/transaction/TransactionTestCase.java
testsuite/integration/basic/src/test/java/org/jboss/as/test/integration/management/api/expression/ExpressionSubstitutionInContainerTestCase.java
testsuite/integration/clust/src/test/java/org/jboss/as/test/clustering/extended/ejb2/stateful/remote/failover/RemoteEJBClientStatefulBeanFailoverTestCase.java



Version-Release number of selected component (if applicable):

next EAP 6, 6.1.1

How reproducible:

Steps to Reproduce:
1.
2.
3.

Actual results:

tests will fail if they execute in different order.

Expected results:

fix the test orders or isolate any connection between tests.

Additional info:

Comment 1 Ivo Studensky 2013-05-31 13:13:22 UTC
Created a PR for this:

https://github.com/jbossas/jboss-eap/pull/158

Comment 2 Rostislav Svoboda 2013-06-07 09:58:33 UTC
QA_ACK granted, AS TS fix.

Comment 3 Pavel Jelinek 2013-08-02 13:55:53 UTC
Fixed in 6.1.1.ER3